#!/bin/bash
    clear
    
    cyan='\033[0;36m'
    NC='\033[0m' # No Color
    bold=$(tput bold)
    normal=$(tput sgr0)

    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""

    # update hostname
    echo -e "${cyan}________________________________________________________________________________________${NC}"
    echo ""
    echo ""
    echo "Type in a hostname for reef-pi and press ${bold}ENTER${normal} on your keyboard, this is similar to"
    echo "a domain name to access a website."
    read new_hostname

    while [ -z "$new_hostname" ]  # continue to ask for hostname until one in entered
    do
        if [ -z "$new_hostname" ]  # check if hostname is empty
        then
            echo "Hostname was blank, please try again."
            read new_hostname
        fi
    done

    sudo raspi-config nonint do_hostname $new_hostname &> /dev/null
    echo ""
    echo -e "${cyan}________________________________________________________________________________________${NC}"

    echo "${bold}http://$new_hostname${normal}"
    echo ""
    echo ""
    echo ""
    echo -e "${cyan}________________________________________________________________________________________${NC}"

 